package com.khanbeiki.viewpager;

import android.annotation.SuppressLint;
import android.graphics.Color;
import android.support.design.widget.TabLayout;
import android.support.v4.view.ViewPager;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import java.util.Objects;

public class MainActivity extends AppCompatActivity {

    private TabLayout tabMain;
    private ViewPager vpgMain;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        tabMain = findViewById(R.id.tabMain);
        vpgMain = findViewById(R.id.vpgMain);

        TabAdapter adapter = new TabAdapter(getSupportFragmentManager());
        adapter.addFragment(0, true, FrgFirst.newInstance("Fragment = 0"), "0");
        adapter.addFragment(1, true, FrgFirst.newInstance("Fragment = 1"), "1");
        adapter.addFragment(2, true, FrgFirst.newInstance("Fragment = 2"), "2");
        adapter.addFragment(3, true, FrgFirst.newInstance("Fragment = 3"), "3");
        adapter.addFragment(4, true, FrgFirst.newInstance("Fragment = 4"), "4");

        vpgMain.setAdapter(adapter);
        vpgMain.setOffscreenPageLimit(5);
        vpgMain.setCurrentItem(2);
        tabMain.setupWithViewPager(vpgMain);
        makeTabItem();

        adapter.setViewPager(vpgMain);
    }

    private String[] tabName = new String[]{"پروفایل", "کانال", "باشگاه", "گالری", "اخبار"};

    private void makeTabItem() {
        for (int i = 0; i < tabName.length; i++) {
            @SuppressLint("InflateParams")
            View view = LayoutInflater.from(getApplicationContext()).inflate(R.layout.custom_tab_live_results, null);
            TextView textView = view.findViewById(R.id.textView);
            textView.setText(tabName[i]);
            tabMain.getTabAt(i).setCustomView(view);
        }
    }
}
